# $Revision: 1.52 $, $Date: 2011/05/20 22:14:53 $
#
# Conditional build:
%bcond_with	gecko		# don't build gecko html renderer
#
%include	/usr/lib/rpm/macros.mono
Summary:	Mono Tools
Summary(pl.UTF-8):	Narzędzia do mono
Name:		mono-tools
Version:	2.10
Release:	3
License:	GPL v2+
Group:		Development/Tools
# latest downloads summary at http://ftp.novell.com/pub/mono/sources-stable/
Source0:	http://ftp.novell.com/pub/mono/sources/mono-tools/%{name}-%{version}.tar.bz2
# Source0-md5:	da178df2c119c696c08c09dc9eb01994
Patch0:		%{name}-pwd.patch
Patch1:		%{name}-configure.patch
URL:		http://www.mono-project.com/
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_gecko:BuildRequires:	dotnet-gecko-sharp2-devel >= 0.12}
BuildRequires:	dotnet-gnome-desktop-sharp-devel
BuildRequires:	dotnet-gnome-sharp-devel >= 2.16.0
BuildRequires:	dotnet-gtk-sharp2-devel
BuildRequires:	dotnet-webkit-sharp-devel >= 0.2-1
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel
BuildRequires:	libgdiplus
BuildRequires:	mono-compat-links
BuildRequires:	mono-csharp
BuildRequires:	mono-devel >= 2.10
BuildRequires:	mono-monodoc >= 2.10
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(monoautodeps)
BuildRequires:	sed >= 4.0
Requires:	hicolor-icon-theme
Requires:	mono >= 2.10
Requires:	mono-tools-html-renderer
Obsoletes:	mono-tools-gtkhtml
ExcludeArch:	i386
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mono Tools is a collection of development and testing programs and
utilities for use with Mono.

%description -l pl.UTF-8
Mono Tools jest kolekcją rozwojowych i testowych programów oraz
narzędzi do użycia z Mono.

%package gecko
Summary:	Gecko based monodoc HTML renderer
Summary(pl.UTF-8):	Oparty na gecko wyświetlacz HTML-a dla monodoc
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}
Provides:	mono-tools-html-renderer

%description gecko
Gecko based monodoc HTML renderer.

%description gecko -l pl.UTF-8
Oparty na gecko wyświetlacz HTML-a dla monodoc.

%package webkit
Summary:	WebKit based monodoc HTML renderer
Summary(pl.UTF-8):	Oparty na WebKit wyświetlacz HTML-a dla monodoc
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}
Provides:	mono-tools-html-renderer

%description webkit
WebKit based monodoc HTML renderer.

%description webkit -l pl.UTF-8
Oparty na WebKit wyświetlacz HTML-a dla monodoc.

%package monowebbrowser
Summary:	Mono.WebBrowser based monodoc HTML renderer
Summary(pl.UTF-8):	Oparty na Mono.WebBrowser wyświetlacz HTML-a dla monodoc
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}
Provides:	mono-tools-html-renderer

%description monowebbrowser
Mono.WebBrowser based monodoc HTML renderer.

%description monowebbrowser -l pl.UTF-8
Oparty na Mono.WebBrowser wyświetlacz HTML-a dla monodoc.

%package gendarme
Summary:	A tool to find problems in .NET applications and libraries
Summary(pl.UTF-8):	Narzędzie znajdujące problemy w aplikacjach i bibliotekach .NET
Group:		Development/Tools
Requires:	monodoc >= 2.10

%description gendarme
Gendarme is a extensible rule-based tool to find problems in .NET
applications and libraries. Gendarme inspects programs and libraries
that contain code in ECMA CIL format (Mono and .NET) and looks for
common problems with the code, problems that compiler do not typically
check or have not historically checked.

%description gendarme -l pl.UTF-8
Gendarme to rozszerzalne narzędzie oparte o regułki, znajdujące
problemy w aplikacjach i bibliotekach .NET. Gendarme przeprowadza
inspekcję programów i bibliotek w formacie ECMA CIL (Mono i .NET)
szukając typowych problemów, których często kompilator nie sprawdza,
lub tych które nie były kiedyś sprawdzane.

%package gui-compare
Summary:	Compares API changes between different assemblies
Summary(pl.UTF-8):	Porównuje zmiany API między różnymi assembly
Group:		Development/Tools

%description gui-compare
Compares API changes between different assemblies.

%description gui-compare -l pl.UTF-8
Porównuje zmiany API między różnymi assembly.

%package mprof-decoder
Summary:	Console decoder for the logging profiler output files
Summary(pl.UTF-8):	Konsolowy dekoder dla plików tworzonych przez logujący profiler
Group:		Development/Tools

%description mprof-decoder
Decodes the contents of a logging profiler output file and prints the
data on standard output.

%description mprof-decoder -l pl.UTF-8
Dekoduje zawartość pliku wynikowego profilera logującego i wypisuje
dane na standardowe wyjście.

%package mprof-heap-viewer
Summary:	GUI viewer for the logging profiler heap snapshots
Summary(pl.UTF-8):	Narzędzie do oglądania migawek sterty profilera logującego
Group:		Development/Tools

%description mprof-heap-viewer
This program decodes the contents of a logging profiler output file
and locates all the heap snapshots inside it. The user can then select
each individual snapshot and decide to load it in memory and explore
its contents.

%description mprof-heap-viewer -l pl.UTF-8
Ten program dekoduje plik wynikowy profilera logującego i lokalizuje
wszystkie znajdujące się w nim migawki sterty. Umożliwia wybranie
dowolnej migawki i załadowanie jej do pamięci w celu obejrzenia
zawartości.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

# as expected by ilcontrast script
%{__sed} -i -e 's,\$(libdir)/ilcontrast,$(prefix)/lib/ilcontrast,' ilcontrast/Makefile.am

# mono-2.8 path for gasnview.exe
%{__sed} -i -e 's,mono/1.0,mono/2.0,' asn1view/gtk/Makefile.am

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkglibdir=%{_prefix}/lib/mono-tools \
	pkgconfigdir=%{_pkgconfigdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/create-native-map
%attr(755,root,root) %{_bindir}/emveepee
%attr(755,root,root) %{_bindir}/gasnview
%attr(755,root,root) %{_bindir}/gsharp
%attr(755,root,root) %{_bindir}/ilcontrast
%attr(755,root,root) %{_bindir}/minvoke
%attr(755,root,root) %{_bindir}/monodoc
%attr(755,root,root) %{_bindir}/mperfmon
%dir %{_prefix}/lib/gsharp
%attr(755,root,root) %{_prefix}/lib/gsharp/gsharp.exe
%{_prefix}/lib/gsharp/gsharp.exe.config
%attr(755,root,root) %{_prefix}/lib/mono/2.0/gasnview.exe
%{_prefix}/lib/create-native-map
%dir %{_prefix}/lib/ilcontrast
%attr(755,root,root) %{_prefix}/lib/ilcontrast/ilcontrast.exe
%dir %{_prefix}/lib/minvoke
%attr(755,root,root) %{_prefix}/lib/minvoke/minvoke.exe
%dir %{_prefix}/lib/mperfmon
%{_prefix}/lib/mperfmon/config
%attr(755,root,root) %{_prefix}/lib/mperfmon/mperfmon.exe
%dir %{_prefix}/lib/mono-tools
%{_prefix}/lib/mono-tools/Mono.Profiler.Widgets.dll
%exclude %{_prefix}/lib/mono-tools/Mono.Profiler.Widgets.dll.mdb
%attr(755,root,root) %{_prefix}/lib/mono-tools/emveepee.exe
%exclude %{_prefix}/lib/mono-tools/emveepee.exe.mdb
%attr(755,root,root) %{_prefix}/lib/monodoc/browser.exe
%{_prefix}/lib/monodoc/web
%{_desktopdir}/gsharp.desktop
%{_desktopdir}/ilcontrast.desktop
%{_desktopdir}/monodoc.desktop
%{_pixmapsdir}/ilcontrast.png
%{_pixmapsdir}/monodoc.png
%{_iconsdir}/hicolor/*/*/*.png
%{_pkgconfigdir}/create-native-map.pc
%{_mandir}/man1/create-native-map.1*
%{_mandir}/man1/mperfmon.1*

%if %{with gecko}
%files gecko
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ilcontrast
%{_prefix}/lib/ilcontrast
%{_prefix}/lib/monodoc/GeckoHtmlRender.dll
%{_desktopdir}/ilcontrast.desktop
%{_pixmapsdir}/ilcontrast.png
%endif

%files webkit
%defattr(644,root,root,755)
%{_prefix}/lib/monodoc/WebKitHtmlRender.dll

%files monowebbrowser
%defattr(644,root,root,755)
%{_prefix}/lib/monodoc/MonoWebBrowserHtmlRender.dll

%files gendarme
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gd2i
%attr(755,root,root) %{_bindir}/gendarme
%attr(755,root,root) %{_bindir}/gendarme-wizard
%{_prefix}/lib/gendarme
%{_prefix}/lib/monodoc/sources/Gendarme*
%{_prefix}/lib/monodoc/sources/gendarme*
%{_desktopdir}/gendarme-wizard.desktop
%{_pkgconfigdir}/gendarme-framework.pc
%{_pixmapsdir}/gendarme.svg
%{_mandir}/man1/gd2i.1*
%{_mandir}/man1/gendarme.1*
%{_mandir}/man5/gendarme.5*

%files gui-compare
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gui-compare
%{_prefix}/lib/gui-compare

%files mprof-decoder
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mprof-decoder
%{_prefix}/lib/mono-tools/mprof-decoder-library.*
%{_prefix}/lib/mono-tools/mprof-decoder.*
%{_mandir}/man1/mprof-decoder.1*

%files mprof-heap-viewer
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mprof-heap-viewer
%{_prefix}/lib/mono-tools/mprof-heap-snapshot-explorer.*
%{_prefix}/lib/mono-tools/mprof-heap-viewer.*
%{_mandir}/man1/mprof-heap-viewer.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mono-tools.spec,v $
Revision 1.52  2011/05/20 22:14:53  megabajt
- removed gtkhtml support and disabled gecko (requires gtkhtml for printing)
- packaged all files
- release 3

Revision 1.51  2011/02/17 12:45:24  lisu
- fix install
- rel 2

Revision 1.50  2011/02/17 12:39:59  lisu
- up to 2.10
- one more tool for gendarme: gd2i
- exclude .mdb files

Revision 1.49  2011/01/30 16:24:53  sparky
- BR: glib2-devel

Revision 1.48  2010/11/19 08:32:31  lisu
- package gasnview.exe
- R: mono >= 2.8

Revision 1.47  2010/11/19 08:26:10  lisu
- fix path for gasnview.exe
- release 2

Revision 1.46  2010/11/18 12:35:04  lisu
- mono deps version up to 2.8

Revision 1.45  2010/11/18 12:26:04  lisu
- updated to 2.8
- drop obsoleted mono-jscript BR
- use sed macro

Revision 1.44  2010/04/06 19:31:50  sparky
- BR: gettext-devel, mono-csharp

Revision 1.43  2010/03/24 18:15:30  megabajt
- updated to 2.6.2

Revision 1.42  2010/03/12 14:05:54  megabajt
- fixed build on x86_64
- use %{_prefix}/lib for monodoc
- release 2

Revision 1.41  2010/03/11 21:46:03  megabajt
- BR: libgdiplus

Revision 1.40  2010/03/11 21:02:27  megabajt
- BR: mono-monodoc

Revision 1.39  2010/03/10 22:02:02  megabajt
- updated to 2.6.1
- added -pwd.patch; force make -j1

Revision 1.38  2008/11/13 21:50:09  vip
- rel up, STBR

Revision 1.37  2008/11/12 21:12:00  arekm
- release 2

Revision 1.36  2008/10/06 16:19:36  wolf
- 2.0

Revision 1.35  2008/06/19 04:38:11  qboosh
- updated Source0 URL

Revision 1.34  2008/06/01 17:46:15  megabajt
- BR: dotnet-gnome-desktop-sharp-devel
- release 3

Revision 1.33  2008-05-12 16:18:56  wolf
- rel 2

Revision 1.32  2008-03-14 20:03:38  wolf
- 1.9

Revision 1.31  2007-12-15 21:47:53  qboosh
- updated to 1.2.6

Revision 1.30  2007-05-16 19:34:59  qboosh
- fixed some lib64 issues
- ilcontrast depends on gecko, so moved to -gecko package

Revision 1.29  2007/05/16 19:24:21  qboosh
- updated to 1.2.4

Revision 1.28  2007/02/17 18:37:34  megabajt
- release 2 for rebuild

Revision 1.27  2007/02/17 16:21:07  qboosh
- lib64 fixes

Revision 1.26  2007/02/17 12:08:52  qboosh
- mono is supported on alpha,sparc* now

Revision 1.25  2007/02/13 06:46:54  glen
- tabs in preamble

Revision 1.24  2007/02/12 00:49:08  baggins
- converted to UTF-8

Revision 1.23  2007/02/07 21:05:51  wolf
- 1.2.3

Revision 1.22  2006/11/22 19:10:39  wolf
- 1.2.1

Revision 1.21  2006/11/07 22:29:01  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.20  2006/10/16 19:25:17  wolf
- 1.1.17
- allow building w/o gecko

Revision 1.19  2006/08/14 18:21:53  grzegol
- added dotnet2 patch (make it build against the 2.0 series of
  gtk#, gnome# and gecko#)
- rel. 2

Revision 1.18  2005/12/22 13:14:51  wolf
- 1.1.11

Revision 1.17  2005/12/03 14:46:24  qboosh
- monodoc currently uses arch-dependent libdir
- release 2

Revision 1.16  2005/11/30 16:05:45  freetz
- exclude i386 alpha sparc sparc64 from build

Revision 1.15  2005/11/10 20:34:43  wolf
- corrected descriptions

Revision 1.14  2005/11/10 19:34:21  wolf
- 1.1.10

Revision 1.13  2005/09/14 19:35:03  wolf
- separated gecko renderer
- rel 2

Revision 1.12  2005/09/14 13:58:37  wolf
- use gecko for rendering (make separate package?)

Revision 1.11  2005/09/09 19:06:28  wolf
- 1.1.9
- moved %post from monodoc to mono-tools

Revision 1.10  2005/09/04 11:36:13  arekm
- rel 3; fix browser.exe path

Revision 1.9  2005/09/04 11:10:51  qboosh
- it seems to BR: monodoc >= 1.0.7 (Monodoc.RootTree.UncompiledHelpSource)

Revision 1.8  2005/08/31 10:41:52  arekm
- add BR dotnet-gtk-sharp-gnome-devel

Revision 1.7  2005/08/11 23:41:52  wolf
- s/rpm-build >= 4.4.2-0.3/rpmbuild(monoautodeps)/

Revision 1.6  2005/08/11 18:59:11  wolf
- auto mono prov/req

Revision 1.5  2005/07/28 17:46:58  pawcioos
- removed monodoc (in monodoc.spec)

Revision 1.4  2005/07/21 21:35:05  pawcioos
- fixed prefix dir

Revision 1.3  2005/07/20 17:21:21  pawcioos
- added BR: mono-compat-links

Revision 1.2  2005/07/20 16:34:19  pawcioos
- cosmetics changelog

Revision 1.1  2005/07/20 16:26:15  pawcioos
- new
